## Required Materials

### Free

Most of the materials for this course are free.

- Discord
- Git for Windows
- GitLab account
- GitHub account
- Docker
- VSCodium (or VSCode)

### Non-Free

- O'Reilly Online Learning - You will need this for 1 month. I will
  tell you when to sign up. It's about $50/mo. It gives you access to
  LOTS of books, videos, live sessions, and more. We'll use it for
  Clean Code by Robert Martin and its accompanying videos.

- A personal computer with a supported version of Windows, MacOS, or Linux
  (but not Chromebook). If you do not have a personal computer that will
  run the software required by this course, you will need to plan to use
  one of the computer labs (H103 or H201) while they are not beeing used
  for a class.
